Package de.tudresden.sumo.cmd

## Class Route

- java.lang.Object
- - de.tudresden.sumo.cmd.Route

-     public class Route
      extends Object

  The Class Route.
  Author:
    Mario Krumnow, Evamarie Wiessner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Route()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SumoCommand` | `add​(String routeID, SumoStringList edges)` | Add a new route.
    `static SumoCommand` | `getEdges​(String routeID)` | Returns the IDs of the edges this route covers.
    `static SumoCommand` | `getIDCount()` | Returns the number of all Routes in the network.
    `static SumoCommand` | `getIDList()` | Returns a list of IDs of all currently loaded routes.
    `static SumoCommand` | `getParameter​(String routeID, String param)` | Returns the chosen parameter.
    `static SumoCommand` | `setParameter​(String routeID, String param, String value)` | Sets the chosen parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Route

          public Route()

  - ### Method Detail

    - #### getEdges

          public static SumoCommand getEdges​(String routeID)

      Returns the IDs of the edges this route covers.
      Parameters:
        `routeID` - a string identifying the route
      Returns:
        a list of IDs of the edges

    - #### getIDList

          public static SumoCommand getIDList()

      Returns a list of IDs of all currently loaded routes.
      Returns:
        a list of ID's of all routes

    - #### getIDCount

          public static SumoCommand getIDCount()

      Returns the number of all Routes in the network.
      Returns:
        the number of routes in the network

    - #### getParameter

          public static SumoCommand getParameter​(String routeID,
                                                 String param)

      Returns the chosen parameter.
      Parameters:
        `routeID` - a string identifying the route
        `param` - a string identifying the parameter
      Returns:
        the specific parameter

    - #### setParameter

          public static SumoCommand setParameter​(String routeID,
                                                 String param,
                                                 String value)

      Sets the chosen parameter.
      Parameters:
        `routeID` - the route ID
        `param` - a string identifying the parameter
        `value` - a string identifying the new value
      Returns:
        SumoCommand

    - #### add

          public static SumoCommand add​(String routeID,
                                        SumoStringList edges)

      Add a new route.
      Parameters:
        `routeID` - a string identifying the route
        `edges` - list of edges the new route is following
      Returns:
        SumoCommand